更改Ubuntu默认python版本的两种方法python-> Anaconda

2017-01-11 12:25:48来源:作者:人点击

你可以按照以下方法使用 ls 命令来查看你的系统中都有那些 Python 的二进制文件可供使用。

$ ls /usr/bin/python*/usr/bin/python /usr/bin/python2 /usr/bin/python2.7 /usr/bin/python3 /usr/bin/python3.4 /usr/bin/python3.4m /usr/bin/python3m


执行如下命令查看默认的 Python 版本信息:

$ python --versionPython 2.7.8


1、基于用户修改 Python 版本:

想要为某个特定用户修改 Python 版本,只需要在其 home 目录下创建一个 alias(别名) 即可。打开该用户的 ~/.bashrc文件,添加新的别名信息来修改默认使用的 Python 版本。

alias python='/usr/bin/python3.4'


一旦完成以上操作,重新登录或者重新加载 .bashrc 文件,使操作生效。

$ . ~/.bashrc


检查当前的 Python 版本。

$ python --versionPython 3.4.2


2、 在系统级修改 Python 版本

我们可以使用 update-alternatives 来为整个系统更改 Python 版本。以 root 身份登录,首先罗列出所有可用的 python 替代版本信息:

# update-alternatives --list pythonupdate-alternatives: error: no alternatives for python


如果出现以上所示的错误信息,则表示 Python 的替代版本尚未被 update-alternatives 命令识别。想解决这个问题,我们需要更新一下替代列表,将 python2.7 和 python3.4 放入其中。

# update-alternatives --install /usr/bin/python python /usr/bin/python2.7 1update-alternatives: using /usr/bin/python2.7 to provide /usr/bin/python (python) in auto mode# update-alternatives --install /usr/bin/python python /usr/bin/python3.4 2update-alternatives: using /usr/bin/python3.4 to provide /usr/bin/python (python) in auto mode


--install 选项使用了多个参数用于创建符号链接。最后一个参数指定了此选项的优先级,如果我们没有手动来设置替代选项,那么具有最高优先级的选项就会被选中。这个例子中,我们为 /usr/bin/python3.4 设置的优先级为2,所以update-alternatives 命令会自动将它设置为默认 Python 版本。

# python --versionPython 3.4.2


接下来,我们再次列出可用的 Python 替代版本。

# update-alternatives --list python/usr/bin/python2.7/usr/bin/python3.4


现在开始,我们就可以使用下方的命令随时在列出的 Python 替代版本中任意切换了。

# update-alternatives --config python




# python --versionPython 2.7.8


3、移除替代版本

一旦我们的系统中不再存在某个 Python 的替代版本时,我们可以将其从 update-alternatives 列表中删除掉。例如,我们可以将列表中的 python2.7 版本移除掉。

# update-alternatives --remove python /usr/bin/python2.7update-alternatives: removing manually selected alternative - switching python to auto modeupdate-alternatives: using /usr/bin/python3.4 to provide /usr/bin/python (python) in auto mode


方法2、移除软连接

rm -rf /data/logsln -s /temp/logs /data/logs




解决软连接ln报错-bash: /usr/local/bin/mysql: Too many levels of symbolic links
总结

以上就是这篇文章的全部内容了,希望本文的内容对大家的学习或者工作能带来一定的帮助,如果有疑问大家可以留言交流。

您可能感兴趣的文章:

在Ubuntu系统下安装使用Python的GUI工具wxPython
Python开发如何在ubuntu 15.10 上配置vim
python安装mysql-python简明笔记(ubuntu环境)
ubuntu下安装Python多版本的方法及注意事项
Python 2.7.x 和 3.x 版本的重要区别小结
centos下更新Python版本的步骤
使用python搭建Django应用程序步骤及版本冲突问题解决
Linux更新Python版本及修改python默认版本的方法
从零学python系列之新版本导入httplib模块报ImportError解决方案
Centos5.x下升级python到python2.7版本教程

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台